<mat-sidenav-container class="sidenav-container">
  <mat-sidenav
    #drawer
    class="sidenav"
    fixedInViewport
    [attr.role]="(isHandset$ | async) ? 'dialog' : 'navigation'"
    [mode]="(isHandset$ | async) ? 'over' : 'side'"
    [opened]="(isHandset$ | async) === false"
    color="pink"
  >
    <mat-toolbar>Menu</mat-toolbar>
    <mat-accordion>
      <mat-expansion-panel
        (opened)="panelOpenState = true"
        (closed)="panelOpenState = false"
      >
        <mat-expansion-panel-header>
          <mat-panel-title>
            <mat-icon aria-hidden="false">view_module</mat-icon>
            Modules</mat-panel-title
          >
        </mat-expansion-panel-header>
        <a mat-raised-button routerLink="module/list" routerLinkActive="active">
          List Modules</a
        >
        <a mat-raised-button routerLink="module/add">Add Modules</a>
      </mat-expansion-panel>
    </mat-accordion>
    <mat-accordion>
      <mat-expansion-panel
        (opened)="panelOpenState = true"
        (closed)="panelOpenState = false"
      >
        <mat-expansion-panel-header>
          <mat-panel-title>
            <mat-icon aria-hidden="false">quiz</mat-icon>
            Question</mat-panel-title
          >
        </mat-expansion-panel-header>
        <a
          mat-raised-button
          routerLink="question/list"
          routerLinkActive="active"
        >
          List Question</a
        >
        <a mat-raised-button routerLink="question/add">Add Question</a>
      </mat-expansion-panel>
    </mat-accordion>
    <mat-accordion>
      <mat-expansion-panel
        (opened)="panelOpenState = true"
        (closed)="panelOpenState = false"
      >
        <mat-expansion-panel-header>
          <mat-panel-title>
            <mat-icon aria-hidden="false">person</mat-icon
            >Users</mat-panel-title
          >
        </mat-expansion-panel-header>
        <a mat-raised-button routerLink="user/list" routerLinkActive="active"
          >List users</a
        >
        <a mat-raised-button routerLink="user/add" routerLinkActive="active"
          >Add users</a
        >
      </mat-expansion-panel>
    </mat-accordion>
    <mat-accordion>
      <mat-expansion-panel
        (opened)="panelOpenState = true"
        (closed)="panelOpenState = false"
      >
        <mat-expansion-panel-header>
          <mat-panel-title>
            <mat-icon aria-hidden="false">score</mat-icon>
            Score</mat-panel-title
          >
        </mat-expansion-panel-header>
        <a mat-raised-button routerLink="score/list" routerLinkActive="active">
          List Score</a
        >
      </mat-expansion-panel>
    </mat-accordion>
    <button
      type="button"
      aria-label="Toggle sidenav"
      mat-icon-button
      (click)="drawer.toggle()"
      *ngIf="isHandset$ | async"
    ></button>
  </mat-sidenav>
  <mat-sidenav-content>
    <mat-toolbar>
      <button
        mat-icon-button
        class="example-icon"
        aria-label="Example icon-button with menu icon"
        (click)="drawer.toggle()"
      >
        <mat-icon>menu</mat-icon>
      </button>
      <span class="example-spacer"></span>
      <button
        mat-icon-button
        class="example-icon favorite-icon"
        aria-label="Example icon-button with heart icon"
      >
        <mat-icon>favorite</mat-icon>
      </button>
      <button
        mat-icon-button
        class="example-icon"
        aria-label="Example icon-button with share icon"
        routerLink="/logout"
      >
        <mat-icon>logout</mat-icon>
      </button>
    </mat-toolbar>
    
    <!-- Add Content Here -->
    <router-outlet></router-outlet>
  </mat-sidenav-content>
</mat-sidenav-container>
